var newsItemModel=Backbone.Model.extend({
    parse:function(model,options){
        // console.log("newsItemModel==>");
        // console.log(model);
        
        var tempLen=0;
        var titleLen;
        var x=$(window).width();
        var isSpecial=(model.newsTypeId==5)?1:0;
        model.picArr=[];//自增字段
        
        //是否取副标题和副图片
        if(isDefine(model.isSubTit) && model.isSubTit===1){
            model.picturesUrls=isDefine(model.newsSonPicUrls)?model.newsSonPicUrls:model.picturesUrls;
            model.newsTitle = isDefine(model.newsSonTitle)?model.newsSonTitle:model.newsTitle;
        }
        
        //图片处理
        if(!model.picturesUrls){
            model.picCount=1;//自增字段
            model.picArr.push("images/noPic.png");
        }else{
            var picUrls=model.picturesUrls;
            if(picUrls.indexOf(',')>0){
                model.picArr=picUrls.split(',');
                for(var i=0;i<model.picArr.length;i++){
                    model.picArr[i]=getImgUrl(0,model.picArr[i],3);
                }
                model.picCount=picUrls.split(',').length;
            }else{
                model.picArr.push(getImgUrl(0,picUrls,3));
                model.picCount=1;
            }
        }
        
        //是否显示专题标签
        model.isSpecial=isSpecial;//自增字段
        if(isSpecial==1){
            tempLen=2;
        }
        //其他标签显示（只允许一个）
        if(isDefine(model.markId)){
            if(model.markName){
                tempLen+=(tempLen.markName).length;
            }
        } 
        
        //标题字数适配
        if(isDefine(model.newsTitle)){
            //title = list[i].newsTitle;
            if(!isDefine(model.showType) || !isDefine(model.picArr[0])){//无图模式
                if((isAndroid && x>=1080) || (!isAndroid && x>=375)){
                    titleLen=40-tempLen;
                }else{
                    titleLen=36-tempLen;
                }
                model.newsTitle = model.newsTitle.length > titleLen ? model.newsTitle.substring(0,titleLen) : model.newsTitle;
            }else if(model.showType==1){ //有图模式(单图)
                if((isAndroid && x>=1080) || (!isAndroid && x>=375)){
                    titleLen=30-tempLen;
                }else{
                    titleLen=(tempLen==0)?(24-tempLen):(23-tempLen);
                }
                model.newsTitle = model.newsTitle.length > titleLen ? model.newsTitle.substring(0,titleLen) : model.newsTitle;
            }
        }
        
        //摘要字数控制
        if(isDefine(model.summary)){
            model.summary = model.summary.length > 26 ? model.summary.substring(0,26)+"..." : model.summary;
        }
        
        //时间转换
        model.publishTime=NYR(model.publishTime,'1');
        
        //添加必要元素，防止模板加载失败（是否收藏）
        if(!isDefine(model.isCollect)){
            model.isCollect=""; //不存在时，自增字段
        }
        
        //外链地址字段
        if(!isDefine(model.linkUrl)){
            model.linkUrl="";//不存在时，自增字段
        }
        
        return model;
    }
});

var newsCollection=Backbone.Collection.extend({
    model:newsItemModel,
    service:getDataService,
    parse:function(resp){
         console.log("newsCollection==>");
         console.log(resp);
        return resp.data.list;
    },
    sync:function(method,model,options){
        options.method=options.type;
        switch(method){
            case "create":
            case "update":
            case "patch":
                break;
            case "read":
                this.service.request(options.param,options);
                break;
            case "delete":
                break;
            default:
                break;
        }
    }
});

