var speThemeItemModel=Backbone.Model.extend({
    parse:function(model,options){
        //console.log("speThemeItemModel==>");
        //console.log(model);
        
        var dataList="";
        var len=model.dataList.length;
        for(var i=0;i<len;i++){
            dataList=model.dataList[i];
            
            var tempLen=0;
            var titleLen;
            var x=$(window).width();
            var isSpecial=(dataList.newsTypeId==5)?1:0;
            dataList.picArr=[];//自增字段
            
            //是否取副标题和副图片
            if(isDefine(dataList.isSubTit) && dataList.isSubTit===1){
                dataList.picturesUrls=isDefine(dataList.newsSonPicUrls)?dataList.newsSonPicUrls:dataList.picturesUrls;
                dataList.newsTitle = isDefine(dataList.newsSonTitle)?dataList.newsSonTitle:dataList.newsTitle;
            }
            
            //图片处理
            if(!dataList.picturesUrls){
                dataList.picCount=1;//自增字段
                dataList.picArr.push("images/noPic.png");
            }else{
                var picUrls=dataList.picturesUrls;
                if(picUrls.indexOf(',')>0){
                    dataList.picArr=picUrls.split(',');
                    for(var j=0;j<dataList.picArr.length;j++){
                        dataList.picArr[j]=getImgUrl(0,dataList.picArr[j],3);
                    }
                    dataList.picCount=picUrls.split(',').length;
                }else{
                    dataList.picArr.push(getImgUrl(0,picUrls,3));
                    dataList.picCount=1;
                }
            }
            
            //是否显示专题标签
            dataList.isSpecial=isSpecial;//自增字段
            if(isSpecial==1){
                tempLen=2;
            }
            //其他标签显示（只允许一个）
            if(isDefine(dataList.markId)){
                if(dataList.markName){
                    tempLen+=(tempLen.markName).length;
                }
            } 
            
            //标题字数适配
            if(isDefine(dataList.newsTitle)){
                //title = list[i].newsTitle;
                if(!isDefine(dataList.showType) || !isDefine(dataList.picArr[0])){//无图模式
                    if((isAndroid && x>=1080) || (!isAndroid && x>=375)){
                        titleLen=40-tempLen;
                    }else{
                        titleLen=36-tempLen;
                    }
                    dataList.newsTitle = dataList.newsTitle.length > titleLen ? dataList.newsTitle.substring(0,titleLen) : dataList.newsTitle;
                }else if(dataList.showType==1){ //有图模式(单图)
                    if((isAndroid && x>=1080) || (!isAndroid && x>=375)){
                        titleLen=30-tempLen;
                    }else{
                        titleLen=(tempLen==0)?(24-tempLen):(23-tempLen);
                    }
                    dataList.newsTitle = dataList.newsTitle.length > titleLen ? dataList.newsTitle.substring(0,titleLen) : dataList.newsTitle;
                }
            }
            
            //摘要字数控制
            if(isDefine(dataList.summary)){
                dataList.summary = dataList.summary.length > 26 ? dataList.summary.substring(0,26)+"..." : dataList.summary;
            }
            
            //时间转换
            dataList.publishTime=NYR(dataList.publishTime,'1');
            
            //添加必要元素，防止模板加载失败（是否收藏）
            if(!isDefine(dataList.isCollect)){
                dataList.isCollect=""; //不存在时，自增字段
            }
            
            //外链地址字段
            if(!isDefine(dataList.linkUrl)){
                dataList.linkUrl="";//不存在时，自增字段
            }
        }
        
        return model;
    }
});

var speThemeItemCollection=Backbone.Collection.extend({
    model:speThemeItemModel,
    service:getDataService,
    parse:function(resp){
         //console.log("speThemeItemCollection==>");
         console.log('------------><-----------',resp);
         return resp.data.list;
    },
    sync:function(method,model,options){
        options.method=options.type;
        switch(method){
            case "create":
            case "update":
            case "patch":
                break;
            case "read":
                this.service.request(options.param,options);
                break;
            case "delete":
                break;
            default:
                break;
        }
    }
});

