var speThemeItemTemplate=loadTemplate('mvc/templates/newsItem.html');

//model自处理方式，直接接收集合--专题主题获取
var speThemeView=Backbone.View.extend({
    initialize:function(){
        
    },
    model:new speThemeModel(),
    load:function(type,specialId,conditions){
        var self=this;
        //接口参数--获取专题主题信息及分类信息
        var if_list={
            "transcode":"topic_getOne",
            "content": {
              "topicId":specialId
            }
        };
        
        
        //view从model拿数据
        this.model.fetch({
            param:if_list,
            specialId:specialId,
            success:function(cols,resp,options){
                console.log(specialId+" -->speThemeView获取数据返回====>");
                console.log(resp);
                
                if(resp.status!="000"){
                    $('#ocontent').html('<div class="ub ub-f1 ub-ac ub-pc c-66" style="margin-top:1em;">暂无信息</div>');
                    loader.close();
                    return false;
                }else{
                    if(type==0){
                        $("#spclSmmr").empty();
                        $("#speImg").empty();
                    };
                    //加载专题图片与摘要
                    if (isDefine(resp.data.topicImgUrl)) {
                        var attcUrl = resp.data.topicImgUrl;
                        //var url = getImgUrl("0", attcUrl, 1);
                        var url = getImgUrl("0",attcUrl,1);
                        //原图
                        var pic = $('<div class="oc_hw2 ub-img1 ub-f1" style="background-image: url('+url+');"></div>');
                        //icache.run({dom:pic,url:url});
                        
                        $("#speImg").append(pic);
                    }else{
                        $("#speImg").addClass("uhide");
                    }
                    $("#spclSmmr")[0].innerHTML = resp.data.topicSummary;
                    $("#spclSmmr").removeClass("myVisibilityHide");
                    
                    //子栏目处理
                    var html_res="",
                        topicClassId="",
                        className="",
                        bgColor="",
                        fontColor="";
                    for(index in resp.data.topicClass){
                        topicClassId=resp.data.topicClass[index].topicClassId;
                        currentSpecialIds+=topicClassId;
                        (index<resp.data.topicClass.length-1)?currentSpecialIds+=",":"";
                    }
                    
                    //console.log("currentSpecialIds===>"+currentSpecialIds);
                    
                    if(isDefine(currentSpecialIds)){
                        //获取专题下分类数据
                        speThemeItemListViewObj.load(0,specialId,currentSpecialIds,"");
                    }else{
                        $('#ocontent').html('<div class="ub ub-f1 ub-ac ub-pc c-66" style="margin-top:1em;">暂无信息</div>');
                        loader.close();
                        return false;
                    }
                }
            },
            error:function(cols,error,options){
                console.log("speThemeView获取数据错误====>");
                console.log(error);
            }
        });
    }
});


//专题分类单个列表资讯处理--分类数据（单个view）
var speThemeItemView=Backbone.View.extend({
    initialize:function(option){
        this.model.view=this;
        this.render();
    },
    template:speThemeItemTemplate,
    render:function(){ //model的封装预处理(同时可添加model的点击事件，此处的model里面是数组，对数组进行了遍历，所以点击事件写在了集合中)
        if(this.template){
            //模板填充生成DOM
            var typeData=this.model.attributes;//用于生成主题分类dom
            var newsItemDataList=this.model.attributes.dataList;//用户生成主题分类下资讯dom
            
            console.log("speThemeItemView===>");
            console.log(typeData);
            
            //生成分类标题dom
            var typeTitleDom=$('<div class="ub ub-ver"></div>');
            var title=$('<div class="ub ub-ac " style="height:2em;padding-left:0.5em; background-color:'+typeData.bgColor+';color:'+typeData.fontColor+';"><span class="ub">'+typeData.className+'</span></div>');
            typeTitleDom.append(title);
            
            this.$el.append(typeTitleDom);
            
            //生成分类下资讯列表数据
            var len=newsItemDataList.length;
            for(var i=0;i<len;i++){
                this.$el.append($(this.template(newsItemDataList[i])));
            }
            
            //是否加载更多
            if(typeData.totalNum>10){
                var moreHtml= $('<div id="'+typeData.topicClassId+'" class="ub ub-ac ub-pc moreHeight" name="'+typeData.className+'"><span class="ub ub-ac ub-pc uinn" style="width:80%;border:1px solid #ccc;border-radius:0.35em;box-shadow:0 3px #ccc;">查看更多</span></div>');
                this.$el.append(moreHtml);
            }
            
        }
        return this;
    }
});

//专题分类列表资讯处理（集合view）
var speThemeItemListView=Backbone.View.extend({
    initialize:function(){
        this.listenTo(this.collection,"add",this.add);
        this.listenTo(this.collection,"remove",this.remove);
    },
    collection:new speThemeItemCollection(),
    pageNum:1,
    el:'.newsList',
    add:function(model){ //添加model到view,同时dom添加点击事件
        var view=new speThemeItemView({
            model:model
        });
        this.$el.append(view.$el);
        
        //资讯列表DOM点击事件(根据需要完善)
        var btn_key=1;
        appcan.button(".btnDetile","btn-act",function(e){
           if(btn_key==1){
                btn_key=0;
                var $domObj=$(this);
                btn_ink($domObj,e);
                $(this).addClass('c-88');
                
                var newsIdVal = $domObj.attr('id');
                //获取列表mode需要的字段数据，并保存以供使用
                var newsItemInfo={
                    "newsId":newsIdVal,
                    "newsTypeId": $domObj.data('newstypeid'),//或者billBoardTypeId(轮播)
                    "topicId":$domObj.data('topicid'),
                    "newsTitle":$domObj.data('newstitle'),
                    "summary":$domObj.data('summary'),
                    "picturesUrls":$domObj.data('picturesurls'), //或者boardImgUrl(轮播)
                    "commentNum":$domObj.data('commentnum'),
                    "linkUrl":$domObj.data('linkurl'), //如果接口返回无该字段，会自动添加，并为空
                    "isCollect":$domObj.data('iscollect'), //如果接口返回无该字段，会自动添加，并为空
                }
                
               //传递点击列表信息
                appcan.locStorage.setVal('newsItemInfo',JSON.stringify(newsItemInfo));
                if(newsItemInfo.newsTypeId==2){
                    //跳转图片新闻展示页面
                    appcan.window.open('home_DetailsPictures','home_DetailsPictures.html',10);
                }else if(newsItemInfo.newsTypeId==5){
                    //跳转专题列表
                    appcan.window.open('spe_page','spe_page.html',10,1024);
                }else if(newsItemInfo.newsTypeId==6){
                    //跳转栏目
                    //var goColumnId=newsItemInfo.columnId;
                    uexWindow.alert("提示","无法跳转栏目","OK");
                    //uexWindow.evaluateScript("index", 0, "openFrame("+goColumnId+")");
                }else{
                    if($domObj.data('linkurl') != ''){
                        appcan.locStorage.setVal('isLink','1');
                        appcan.locStorage.setVal('linkUrl',$domObj.data('linkurl'));
                    }else{
                        appcan.locStorage.setVal('isLink','0');
                    }
                    appcan.locStorage.val("newsId",newsIdVal);
                    appcan.locStorage.setVal('linkUrl_tit',$domObj.data('newstitle'));
                    //跳转新闻详细页面
                    appcan.window.open("bNewsDetail", "../bNewsDetail.html", 10);
                }
                setTimeout(function(){btn_key=1;},1000);
            }
            
        });
        
        //分类资讯查看更多
        appcan.button(".moreHeight","btn-act",function(e){
            if(btn_key==1){
                btn_key=0;
                var id=$(this);
                btn_ink(id,e);
                
                var specialIdVal=$(this).attr('id');
                var className=$(this).attr('name');
                var classInfo={
                    "specialId":specialIdVal,
                    "className":className
                }
                //alert(specialIdVal);
                appcan.locStorage.setVal('classInfo',JSON.stringify(classInfo));
                appcan.window.open('spe_classNewsItem','spe_classNewsItem.html',10,1024);
                setTimeout(function(){btn_key=1;},1000);
            }
        });
    },
    remove:function(model){
        model.view.remove();
    },
    load:function(type,specialId,topicClassIds,conditions){
        var self=this;
        
        if(type==0){
            this.pageNum=1;
        }
       
        //获取接口参数---分类资讯列表
        var if_list={
            "transcode" : "topic_getList",
            "content" : {
                "topicId" : specialId,
                "topicClassIds" : topicClassIds,
                "page" : {
                    "pageNo" : 1,
                    "pageSize" : 100
                }
            }
        };
        this.collection.fetch({
            param:if_list,
            specialId:specialId,
            success:function(cols,resp,options){
                console.log(topicClassIds+" -->speThemeItemView返回=====>");
                console.log(resp);
                loader.close();
                uexWindow.closeToast();
                appcan.frame.resetBounce(type);
                
               // return false;
                if(self.pageNum==1){
                    if(cols.length<=0){
                        self.$el.html(showNoInfo("暂无数据"));
                    }else{
                        //是否响应缓加载标识
                        (cols.length>10)?appcan.locStorage.setVal("isLazyLoadImg_"+specialId,1)
                                        :appcan.locStorage.setVal("isLazyLoadImg_"+specialId,0);
                                        
                        self.$el.find('.noInfo').remove();
                    }
                }
            },
            error:function(cols,error,options){
                appcan.frame.resetBounce(type);
                uexWindow.toast(0,5,"speThemeItemView===>数据获取失败",2000);
            },
            add:true,
            remove:(type==0)?false:true,
            merge:true
        });
    }
});

//专题主题接口
var speThemeViewViewObj=new speThemeView();
//专题分类接口
var speThemeItemListViewObj=new speThemeItemListView();